shisa_init_with_paths(3)

NAME
shisa_init_with_paths - API function

SYNOPSIS
#include <shisa.h>

int shisa_init_with_paths(Shisa ** dbh, const char * file);

ARGUMENTS

Shisa ** dbh
    Returned pointer to a created Shisa library handle.

const char * file
    Filename of system configuration, or NULL.

DESCRIPTION
Creates a Shisa library handle, using shisa(), but reading the system configuration file at the location file, or at the default location, should file be NULL. The path to the default system configuration file is decided at compile time ($sysconfdir/shisa.conf).

The handle is allocated regardless of return value, the only exception being SHISA_INIT_ERROR, which indicates a problem in allocating the handle. Other error conditions arise while reading a file.

RETURN VALUE
Returns SHISA_OK, or an error code. The value SHISA_INIT_ERROR indicates a failure to create the handle.

REPORTING BUGS
Report bugs to <bug-shishi@gnu.org>. GNU Shishi home page: http://www.gnu.org/software/shishi/ General help using GNU software: http://www.gnu.org/gethelp/

COPYRIGHT
Copyright © 2002-2022 Simon Josefsson.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for shishi is maintained as a Texinfo manual. If the info and shishi programs are properly installed at your site, the command

    info shishi

should give you access to the complete manual.